File: min_spec.rb

package info (click to toggle)
puppet-module-puppetlabs-stdlib 5.0.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 2,804 kB
  • sloc: ruby: 16,417; sh: 46; makefile: 2
file content (22 lines) | stat: -rw-r--r-- 1,200 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
require 'spec_helper'

describe 'min', :if => Puppet::Util::Package.versioncmp(Puppet.version, '6.0.0') < 0 do
  it { is_expected.not_to eq(nil) }
  it { is_expected.to run.with_params.and_raise_error(Puppet::ParseError, %r{wrong number of arguments}i) }
  it { is_expected.to run.with_params(1).and_return(1) }
  it { is_expected.to run.with_params(1, 2).and_return(1) }
  it { is_expected.to run.with_params(1, 2, 3).and_return(1) }
  it { is_expected.to run.with_params(3, 2, 1).and_return(1) }
  it { is_expected.to run.with_params(12, 8).and_return(8) }
  it { is_expected.to run.with_params('one').and_return('one') }
  it { is_expected.to run.with_params('one', 'two').and_return('one') }
  it { is_expected.to run.with_params('one', 'two', 'three').and_return('one') }
  it { is_expected.to run.with_params('three', 'two', 'one').and_return('one') }

  describe 'implementation artifacts' do
    it { is_expected.to run.with_params(1, 'one').and_return(1) }
    it { is_expected.to run.with_params('1', 'one').and_return('1') }
    it { is_expected.to run.with_params('1.3e1', '1.4e0').and_return('1.3e1') }
    it { is_expected.to run.with_params(1.3e1, 1.4e0).and_return(1.4e0) }
  end
end